# 收集当前目录下所有 .c 文件
file(GLOB_RECURSE SRC_LIST "*.c")

idf_component_register(
    SRCS ${SRC_LIST}
    PRIV_REQUIRES spi_flash esp_driver_spi esp_driver_gpio esp_timer
    INCLUDE_DIRS "."
    REQUIRES 
        lvgl
        spiffs
        
    PRIV_REQUIRES
    )

set(SPIFFS_PARTITION_NAME "storage")  # 如果分区名是 "storage"
# 设置 SPIFFS 根目录路径
set(SPIFFS_IMAGE_DIR "${CMAKE_SOURCE_DIR}/spiffs_image")
# 确保目录存在
if(NOT EXISTS ${SPIFFS_IMAGE_DIR})
    file(MAKE_DIRECTORY ${SPIFFS_IMAGE_DIR})
endif()
# 添加 SPIFFS 镜像生成
spiffs_create_partition_image(
    ${SPIFFS_PARTITION_NAME}  # 分区名称
    ${SPIFFS_IMAGE_DIR}       # 源文件目录
    FLASH_IN_PROJECT          # 生成 flash 目标
)